Package org.eclipse.wst.xsl.ui.provisional.contentassist

## org.eclipse.wst.xsl.ui.provisional.contentassist
Class CustomCompletionProposal

    public class CustomCompletionProposal
    extends org.eclipse.wst.sse.ui.internal.contentassist.CustomCompletionProposal

Adopters can use the class to help build a custom content completion proposal.

## Constructor Summary

`CustomCompletionProposal(java.lang.String replacementString , int replacementOffset , int replacementLength , int cursorPosition , Image image , java.lang.String displayString , IContextInformation contextInformation , java.lang.String additionalProposalInfo , int relevance)`
`CustomCompletionProposal(java.lang.String replacementString , int replacementOffset , int replacementLength , int cursorPosition , Image image , java.lang.String displayString , IContextInformation contextInformation , java.lang.String additionalProposalInfo , int relevance , boolean updateReplacementLengthOnValidate)`

## Method Summary

`public boolean` | `isAutoInsertable()` (non-Javadoc)

## Constructor Detail

## CustomCompletionProposal

`public CustomCompletionProposal(java.lang.String replacementString , int replacementOffset , int replacementLength , int cursorPosition , Image image , java.lang.String displayString , IContextInformation contextInformation , java.lang.String additionalProposalInfo , int relevance)`

Constructor for the Custom Completion Proposal

## CustomCompletionProposal

`public CustomCompletionProposal(java.lang.String replacementString , int replacementOffset , int replacementLength , int cursorPosition , Image image , java.lang.String displayString , IContextInformation contextInformation , java.lang.String additionalProposalInfo , int relevance , boolean updateReplacementLengthOnValidate)`

## Methods Detail

## isAutoInsertable

`public boolean isAutoInsertable()`

(non-Javadoc)

### Returns

`boolean`